Update Savings Goal

Update a savings goal with a given goal_id.

Of the fields target_amount, target_datetime and recurrent_amount, none are required. However if one is supplied, then a second must also be given. If two are supplied then the third parameter will be re-calculated in the response.

For example: If the date the goal is created is 2023-01-01T00:00:00Z, if a savings goal is updated with the target_amount of £110, and the target_datetime is 2023-12-01T00:00:00Z, then the recurrent amount will be £10.

When performing this calculation, it is asusmed that a customer is not going to deposit their first recurrent amount within the month of creating the goal. If this is the desired behaviour however, all three parameters can be supplied and the endpoint will accept it.

Path Params
string
required

The ID of the savings goal.

Example: 81a68821-dca6-4771-80d4-002c7fce412e

Body Params
string

The name of the savings goal.

Example: Holiday

target_amount
object

The target amount of money to be saved to defining the savings goal.

If this is supplied, then target_datetime and/or recurrent_amount must also be supplied. If target_amount, target_datetime and recurrent_amount are all supplied, they will be validated to ensure the goal is achievable under these conditions.

The currency field is optional as it will default to the existing currency of the goal; however, if it is supplied then it must be the same as the existing currency of the goal.

string

The Target Datetime, in the format RFC-3339 to reach the savings goal.

If this is supplied, then target_amount and/or recurrent_amount must also be supplied. If target_amount, target_datetime and recurrent_amount are all supplied, they will be validated to ensure the goal is achievable under these conditions.

Examples:

  • 2023-01-17T17:29:51Z
  • 2023-01-17T17:29:51-08:00
recurrent_amount
object

The amount of money to be saved each month to reach the savings goal.

If this is supplied, then target_amount and/or target_datetime must also be supplied. If target_amount, target_datetime and recurrent_amount are all supplied, they will be validated to ensure the goal is achievable under these conditions.

The currency field is optional as it will default to the existing currency of the goal; however, if it is supplied then it must be the same as the existing currency of the goal.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

A unique identifier for a Customer, as registered on Bud's platform.

string

Use the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.

string

The Bud Customer secret used to encrypt customer data. This is required only if the customer secret is not already stored with Bud.

Responses

Language
Credentials
OAuth2
Response
Choose an example:
application/json